Name:		ppc64-diag
Version:	2.4.2
Release:	1	
Summary: 	Linux for Power Platform Diagnostics
Group: 		System Environment/Base
License: 	Eclipse Public License (EPL) v1.0	
Packager: 	IBM Corp. 
Vendor: 	IBM Corp.
ExclusiveArch:  ppc ppc64
BuildRequires:  libservicelog-devel, flex, perl, /usr/bin/yacc
PreReq:         libservicelog
Requires: 	servicelog, /usr/sbin/lsvpd, /sbin/chkconfig
AutoReqProv:	no
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0: 	ppc64-diag-%{version}.tar.gz

%description
Platform diagnostics for Linux for Power writes events reported by the
System p or System i platform firmware to the servicelog, provides automated
responses to urgent events such as environmental conditions and predictive
failures, and provides notifications of the event to system administrators
or connected service frameworks.  Some error log analysis parameters can be
configured in /etc/ppc64-diag/ppc64-diag.config.

%prep
%setup -q

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 $RPM_BUILD_ROOT/etc/ppc64-diag/servevent_parse.pl

%files
%defattr (-,root,root,-)
%doc /usr/share/doc/packages/ppc64-diag/COPYRIGHT
%doc /usr/share/man/man8/*
/usr/sbin/*
%dir /etc/ppc64-diag
%config /etc/ppc64-diag/*
%config /etc/rc.powerfail
%config %attr(755,root,root) /etc/init.d/rtas_errd

%post
# Post-install script --------------------------------------------------
/etc/ppc64-diag/ppc64_diag_setup --register >/dev/null
if [ "$1" = "1" ]; then # first install
    /sbin/chkconfig --add rtas_errd
    /etc/init.d/rtas_errd start
elif [ "$1" = "2" ]; then # upgrade
    /etc/init.d/rtas_errd restart
fi

%preun
# Pre-uninstall script -------------------------------------------------
if [ "$1" = "0" ]; then # last uninstall
    /etc/init.d/rtas_errd stop
    /sbin/chkconfig --del rtas_errd
    /etc/ppc64-diag/ppc64_diag_setup --unregister >/dev/null
fi

%triggerin -- librtas
# trigger on librtas upgrades ------------------------------------------
if [ "$2" = "2" ]; then
    /etc/init.d/rtas_errd restart
fi

